Subject: Re: [PATCH] t0060: loosen overly strict expectations

From: Ramsay Jones <[email-masked]>
Date: Fri, 15 Jan 2016 00:46:22 +0000

On 14/01/16 22:14, Johannes Sixt wrote:
> Am 14.01.2016 um 19:13 schrieb Ramsay Jones:
>> Correct me if I'm wrong (quite possible), but
>> _each_ drive has a current working directory associated with
>> it in win32, so it's a bit difficult to use drive designators
>> with a relative path (eg. C:usr/lib).
> 
> As far as it matters for Git, such a path is still an absolute path, 
> because it is not anchored at $(pwd).

I have been using cygwin on windows since beta-18 (about 1995), in order
to avoid most of the horrors of the windows command line, so I'm a little
rusty. ;-)

You know windows _much_ better than me, so could you please educate me
on this point. I tried this (on windows 8.1):

    ramsay@satellite $ cmd
    Microsoft Windows [Version 6.3.9600]
    (c) 2013 Microsoft Corporation. All rights reserved.
    
    C:\cygwin64\home\ramsay>cd junk
    cd junk
    
    C:\cygwin64\home\ramsay\junk>dir
    dir
     Volume in drive C is TI31255200A
     Volume Serial Number is 0024-4AC0
    
     Directory of C:\cygwin64\home\ramsay\junk
    
    15/01/2016  00:23    <DIR>          .
    15/01/2016  00:23    <DIR>          ..
    15/01/2016  00:23                 1 regular
    15/01/2016  00:23    <DIR>          sub-1
    15/01/2016  00:24    <DIR>          sub-2
                   1 File(s)              1 bytes
                   4 Dir(s)  800,988,291,072 bytes free
    
    C:\cygwin64\home\ramsay\junk>dir C:
    dir C:
     Volume in drive C is TI31255200A
     Volume Serial Number is 0024-4AC0
    
     Directory of C:\cygwin64\home\ramsay\junk
    
    15/01/2016  00:23    <DIR>          .
    15/01/2016  00:23    <DIR>          ..
    15/01/2016  00:23                 1 regular
    15/01/2016  00:23    <DIR>          sub-1
    15/01/2016  00:24    <DIR>          sub-2
                   1 File(s)              1 bytes
                   4 Dir(s)  800,988,291,072 bytes free
    
    C:\cygwin64\home\ramsay\junk>dir C:.
    dir C:.
     Volume in drive C is TI31255200A
     Volume Serial Number is 0024-4AC0
    
     Directory of C:\cygwin64\home\ramsay\junk
    
    15/01/2016  00:23    <DIR>          .
    15/01/2016  00:23    <DIR>          ..
    15/01/2016  00:23                 1 regular
    15/01/2016  00:23    <DIR>          sub-1
    15/01/2016  00:24    <DIR>          sub-2
                   1 File(s)              1 bytes
                   4 Dir(s)  800,988,291,072 bytes free
    
    C:\cygwin64\home\ramsay\junk>dir C:\
    dir C:\
     Volume in drive C is TI31255200A
     Volume Serial Number is 0024-4AC0
    
     Directory of C:\
    
    17/09/2015  15:52    <DIR>          cygwin64
    05/08/2015  10:10               383 ftconfig.ini
    09/04/2014  05:41    <DIR>          Intel
    22/08/2013  15:22    <DIR>          PerfLogs
    06/10/2015  19:28    <DIR>          Program Files
    26/12/2015  14:09    <DIR>          Program Files (x86)
    18/05/2014  11:18                 0 Recovery.txt
    03/12/2013  17:02    <DIR>          Toshiba
    25/06/2014  18:15    <DIR>          UBIOS
    26/12/2015  14:09    <DIR>          Users
    27/08/2015  10:08    <DIR>          Windows
                   2 File(s)            383 bytes
                   9 Dir(s)  800,988,299,264 bytes free
    
    C:\cygwin64\home\ramsay\junk>dir C:sub-1
    dir C:sub-1
     Volume in drive C is TI31255200A
     Volume Serial Number is 0024-4AC0
    
     Directory of C:\cygwin64\home\ramsay\junk\sub-1
    
    15/01/2016  00:23    <DIR>          .
    15/01/2016  00:23    <DIR>          ..
    15/01/2016  00:23                 1 bill
    15/01/2016  00:23                 1 fred
                   2 File(s)              2 bytes
                   2 Dir(s)  800,988,299,264 bytes free
    
    C:\cygwin64\home\ramsay\junk>exit
    exit
    ramsay@satellite $ 

... which seems to contradict what you say above.

What am I missing?

ATB,
Ramsay Jones